| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_adc_intern_data Struct Reference
12-Bit Analog Digital Converter (ADC)

ADC instance internal data, storing internal information for each enabled ADC instance. More...

`#include <adc.h>`

## Data Fields
func_ptr_adc_parg32_t | pfnScanCallback
| Scan conversion callback.
func_ptr_adc_parg32_t | pfnPrioCallback
| Priority conversion callback.
func_ptr_t | pfnScanErrorCallback
| Error during conversion.
func_ptr_t | pfnPrioErrorCallback
| Priority FIFO overrun error callback pointer.
func_ptr_t | pfnComparisonCallback
| Comparison callback pointer.
func_ptr_t | pfnRangeComparisonCallback
| Range condition interrupt callback pointer.

## Detailed Description

ADC instance internal data, storing internal information for each enabled ADC instance.

Definition at line 481 of file adc.h.

## Field Documentation

func_ptr_t pfnComparisonCallback

Comparison callback pointer.

Definition at line 487 of file adc.h.

Referenced by Adc_DisableInt(), Adc_EnableInt(), and AdcIrqHandler().

func_ptr_adc_parg32_t pfnPrioCallback

Priority conversion callback.

Definition at line 484 of file adc.h.

Referenced by Adc_DisableInt(), Adc_EnableInt(), and AdcIrqHandler().

func_ptr_t pfnPrioErrorCallback

Priority FIFO overrun error callback pointer.

Definition at line 486 of file adc.h.

Referenced by Adc_DisableInt(), Adc_EnableInt(), and AdcIrqHandler().

func_ptr_t pfnRangeComparisonCallback

Range condition interrupt callback pointer.

Definition at line 488 of file adc.h.

Referenced by Adc_DisableInt(), Adc_EnableInt(), and AdcIrqHandler().

func_ptr_adc_parg32_t pfnScanCallback

Scan conversion callback.

Definition at line 483 of file adc.h.

Referenced by Adc_DisableInt(), Adc_EnableInt(), and AdcIrqHandler().

func_ptr_t pfnScanErrorCallback

Error during conversion.

Definition at line 485 of file adc.h.

Referenced by Adc_DisableInt(), Adc_EnableInt(), and AdcIrqHandler().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/adc/adc.h